VMHGFS(9)

NAME
vmhgfs - vmware kernel module

SYNOPSIS
modprobe vmhgfs

DESCRIPTION
This is kernel filesystem module. None of the Tools components depend on vmhgfs, nor does it have any dependencies of its own, so it can be loaded at any time in the boot process.

When mounting, one must use an NFS-like "<host>:<export>" syntax. The <host> field must be ".host", while the <export> field can be "/", a path to a specific Shared Folder, or a path to a subdirectory within that Shared Folder. Note that mounting may fail if Shared Folders are disabled in the host; don't be alarmed. The vmhgfs filesystem supports a plethora of mount options, run vmware-hgfsmounter(8) -h to see them. We typically exclude vmhgfs from the locate database as crawling the Shared Folders is time consuming. To do this, add "vmhgfs" to PRUNEFS within updatedb's configuration file, typically found in /etc/updatedb.conf.

We also typically mount vmhgfs via:

    mount -t vmhgfs .host:/ /mnt/hgfs

Or by adding this line to /etc/fstab:

    .host:/ /mnt/hgfs vmhgfs defaults 0 0

The net effect is that all Shared Folders appear and disappear at /mnt/hgfs as they're added or removed.

OPTIONS
vmhgfs has no options.

SEE ALSO
vmware-checkvm(1)
vmware-hgfsclient(1)
vmware-toolbox(1)
vmware-toolbox-cmd(1)
vmware-user(1)
vmware-xferlogs(1)
libguestlib(3)
libvmtools(3)
vmware-guestd(8)
vmware-hgfsmounter(8)
vmware-user-suid-wrapper(1)
vmblock(9)
vmci(9)
vmmemctl(9)
vmsock(9)
vmsync(9)
vmxnet(9)
vmxnet3(9)

HOMEPAGE
More information about vmhgfs and the Open VM Tools can be found at <http://open-vm-tools.sourceforge.net/>.

AUTHOR
Open VM Tools were written by VMware, Inc. <http://www.vmware.com/>.

This manual page was put together from homepage materials by Daniel Baumann <mail@daniel-baumann.ch>, for the Debian project (but may be used by others).